/**
 * 自定义过滤器
 */

   

  /* 订单状态 */
  function orderStatus(val){
    switch (val) {
      // case 0:
      //   return '待分批发货'
      case 1:
        return '待签署合同'
      case 2:
        return '待分批发货'
    }
  }

    
  /* 看牛模式 */
  function previewTypes (val){
    switch (val) {
      case 1:
        return '预约看牛'
      case 2:
        return '现场看牛'
    }
  }

  // 支付状态
  function payOrderState (val){
    switch (val) {
      case 1:
        return '已付订金'
      case 2:
        return '待付订金'
    }
  }

  // 价格单位
  function priceUnit(val){
    switch (val) {
      case 1:
        return '元/头'
      case 2:
        return '元/公斤'
      case 3:
        return '元/斤'
    }
  }

  // 数量单位
  function countUnit (val){
    switch (val) {
      case '1':
        return '头'
      case 2:
        return '公斤'
      case 3:
        return '斤'
    }
  }

  // 发布状态
  function publishStatus(val){
    switch (val) {
      case 0:
        return '草稿箱'
      case 1:
        return '待审核'
      case 2:
        return '已拒绝'
      case 3:
        return '发布中'
      case 4:
        return '已下架'
      case 5:
        return '已过期'        
    }
  }
    // 报价状态
   function quoteStatus(val) {
      switch (val) {
        case 0:
          return '一轮已报价'
        case 1:
          return '二轮报价邀请'
        case 2:
          return '已失效'
        case 3:
          return '已形成意向单'
        case 4:
          return '二轮报价已报价'
      }
    }
    //  意向单状态
    function intentionStatus(val) {
      switch (val) {
        case 0:
          return '待签单'
        case 1:
          return '签单待确认'
        // case 2:
        //   return '报价中'
        case 3:
          return '意向单作废'
        case 4:
          return '已生成订单'
      }
    }

    function subOrderStatus(val) {
      switch (val) {
        case 1:
          return '子订单待审核'
        case 2:
          return '待付款'
        case 3:
          return '审核拒绝'
        case 4:
          return '子订单修改待审核'
        case 5:
          return '待付款（子订单修改同意）'
        case 6:
          return '子订单修改拒绝'
        case 7:
          return '已支付'
  
      }
    }
export{
  orderStatus,previewTypes,payOrderState,priceUnit,countUnit,publishStatus,quoteStatus,intentionStatus,subOrderStatus
}

